PUT
/voice-connectors/{voiceConnectorId}
http://service.chime.aws.amazon.com/voice-connectors/{voiceConnectorId}Updates details for the specified Amazon Chime Voice Connector.
Access Token Required: API Key
Path Parameters
voiceConnectorIdstringrequired
The Amazon Chime Voice Connector ID.
Body Params
Namestringrequired
The name of the Amazon Chime Voice Connector.
RequireEncryptionbooleanrequired
When enabled, requires encryption for the Amazon Chime Voice Connector.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'http://service.chime.aws.amazon.com/voice-connectors/{voiceConnectorId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}